Create a password system for the dead links logging API
Closed, ResolvedPublic2 Story Points

Description

We should create a simple password system so that it isn't trivial to pollute the dead link fixing log with bogus data. This can probably just be a password that is required to be submitted along with the API requests. The password can be stored in a config file and shared with the bot owners that we want to use the log. This isn't foolproof from a security perspective, but this isn't a tool that needs ironclad security (it's just a logging interface for the Internet Archive to keep track of progress with).

If the API actually proves useful, we can add an OAuth layer later.

kaldari created this task.Feb 25 2016, 6:23 PM
Restricted Application added a project: Internet-Archive. · View Herald TranscriptFeb 25 2016, 6:23 PM
Restricted Application added subscribers: StudiesWorld, Aklapper. · View Herald Transcript
Niharika set the point value for this task to 2.
kaldari updated the task description. (Show Details)Feb 25 2016, 6:26 PM
DannyH triaged this task as Normal priority.Mar 1 2016, 6:24 PM
Niharika claimed this task.Mar 3 2016, 1:39 PM
Niharika moved this task from Ready to In Development on the Community-Tech-Sprint board.

Done. The logging link won't work without the password now.

kaldari closed this task as Resolved.Mar 8 2016, 9:02 PM
kaldari moved this task from Needs Review/Feedback to Done on the Community-Tech-Sprint board.
DannyH moved this task from Untriaged to Archive on the Community-Tech board.